Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.minecraft.src
Class WorldProviderSurface

    java.lang.Object
      net.minecraft.src.WorldProvider
          net.minecraft.src.WorldProviderSurface

    public class WorldProviderSurface

extends WorldProvider

Field Summary

Fields inherited from class net.minecraft.src.WorldProvider
`dimensionId, field_82913_c, hasNoSky, isHellWorld, lightBrightnessTable, terrainType, worldChunkMgr, worldObj`

Constructor Summary
`WorldProviderSurface()`

Method Summary
`String` | `getDimensionName()` Returns the dimension's name, e.g.

Methods inherited from class net.minecraft.src.WorldProvider
`calcSunriseSunsetColors, calculateCelestialAngle, calculateInitialWeather, canBlockFreeze, canCoordinateBeSpawn, canDoLightning, canDoRainSnowIce, canMineBlock, canRespawnHere, canSnowAt, doesXZShowFog, drawClouds, getActualHeight, getAverageGroundLevel, getBiomeGenForCoords, getChunkProvider, getCloudHeight, getDepartMessage, getEntrancePortalLocation, getFogColor, getHeight, getHorizon, getMoonPhase, getMovementFactor, getProviderForDimension, getRandomizedSpawnPoint, getSaveFolder, getSeed, getSkyColor, getSkyProvider, getSpawnPoint, getStarBrightness, getVoidFogYFactor, getWelcomeMessage, getWorldHasVoidParticles, getWorldTime, isBlockHighHumidity, isDaytime, isSkyColored, isSurfaceWorld, registerWorld, resetRainAndThunder, setAllowedSpawnTypes, setDimension, setSkyProvider, setSpawnPoint, setWorldTime, toggleRain, updateWeather`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### WorldProviderSurface

    public WorldProviderSurface()

Method Detail

### getDimensionName

    public String getDimensionName()

  Returns the dimension's name, e.g. "The End", "Nether", or "Overworld".

  Specified by:
    `getDimensionName` in class `WorldProvider`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD